summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-10-19 14:45:08 +0200
committerJustin Lecher <jlec@gentoo.org>2015-10-19 14:47:56 +0200
commit6edae1be48203dde97dcc4898182326125aea90a (patch)
treee4eec11ec469508206bbfba860bf513a4854548d /dev-vcs/gitsh
parentdev-python/cffi: Add back last stable version on sparc (diff)
downloadgentoo-6edae1be48203dde97dcc4898182326125aea90a.tar.gz
gentoo-6edae1be48203dde97dcc4898182326125aea90a.tar.bz2
gentoo-6edae1be48203dde97dcc4898182326125aea90a.zip
dev-vcs/gitsh: Version Bump
thanks Fabio Coatti for the ebuild Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=563232 Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-vcs/gitsh')
-rw-r--r--dev-vcs/gitsh/Manifest1
-rw-r--r--dev-vcs/gitsh/gitsh-0.10.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-vcs/gitsh/Manifest b/dev-vcs/gitsh/Manifest
index 8fc5c7da426..339f895b44b 100644
--- a/dev-vcs/gitsh/Manifest
+++ b/dev-vcs/gitsh/Manifest
@@ -1 +1,2 @@
+DIST gitsh-0.10.tar.gz 57550 SHA256 a5b07c44d68700c6e41681c838625650dbe1313f2bbe0976a3ee30086b4d5f93 SHA512 e51858c62e31e6b3644fb7239e6ffb7e8ffc7dd9983d67f792f739fd3459a8741d29f67709738127754454ff1e0f87014f8eb77cfd506cc5d32c5d9c719b2b16 WHIRLPOOL daac99aa5fef26652e606de5039e00be0d25579c3045e9eb5f4c2195ae34ec038408e29f8c55fdde7b9bef7ad1b3aab31aade2e5a03b60a8bbe46ccd0cf515b1
DIST gitsh-0.8.tar.gz 48393 SHA256 61125105819f8b10005ed41ed334ab2ad6104a8dba799090b0827b72075b1665 SHA512 9ec115f0e71e3708245b11cef0c853446b2e774c30372b5516a239e9db03937d9cde1d1525ca1812759b5c3d59101179490691756a84478ebd8667268beeb8ae WHIRLPOOL 9b0368091ffe59191eff481073b9fa06172d39f2a14076ff03866767349daf0fb3e1de62d7d176bd88efefaceecf68eec607b0ec72a86b1709c8ae9f71f3a96e
diff --git a/dev-vcs/gitsh/gitsh-0.10.ebuild b/dev-vcs/gitsh/gitsh-0.10.ebuild
new file mode 100644
index 00000000000..7f7c2fd5431
--- /dev/null
+++ b/dev-vcs/gitsh/gitsh-0.10.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit autotools ruby-fakegem
+
+DESCRIPTION="An interactive shell for git"
+HOMEPAGE="https://github.com/thoughtbot/gitsh"
+SRC_URI="https://github.com/thoughtbot/gitsh/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~amd64-linux"
+IUSE=""
+
+ruby_add_rdepend "
+ dev-ruby/bundler
+ dev-ruby/blankslate:0
+ dev-ruby/coderay
+ dev-ruby/diff-lcs
+ dev-ruby/method_source
+ dev-ruby/parslet
+ dev-ruby/pry
+ dev-ruby/slop:3
+ dev-ruby/rspec:3
+ dev-ruby/rspec-core:3
+ dev-ruby/rspec-expectations:3
+ dev-ruby/rspec-mocks:3
+ dev-ruby/rspec-support:3
+ "
+
+DOCS="README.md"
+
+each_ruby_prepare() {
+ rm Gemfile.lock || die
+ eautoreconf
+}
+
+each_ruby_configure() {
+ default
+}
+
+each_ruby_compile() {
+ default
+}
+
+all_ruby_install() {
+ all_fakegem_install
+ doman "${S}"/man/man1/${PN}.1
+}